<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.119
Name: A_OntvangenZorg [universal]
Description: COCT_RM900917NL: Gegevens van de zorg die ontvangen is of wordt ontvangen door het gezin.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000">
   <title>A_OntvangenZorg [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]"
         id="d19e20977-false-d1238720e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']])&gt;=1">(A_OntvangenZorg-universal): element hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']])&lt;=1">(A_OntvangenZorg-universal): element hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]"
         id="d19e20988-false-d1238743e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)=('PCPR') or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(A_OntvangenZorg-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'])&gt;=1">(A_OntvangenZorg-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'])&lt;=1">(A_OntvangenZorg-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code])&gt;=1">(A_OntvangenZorg-universal): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code])&lt;=1">(A_OntvangenZorg-universal): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:text)&lt;=1">(A_OntvangenZorg-universal): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='active' or @code='completed' or @nullFlavor])&gt;=1">(A_OntvangenZorg-universal): element hl7:statusCode[@code='active' or @code='completed' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:statusCode[@code='active' or @code='completed' or @nullFlavor])&lt;=1">(A_OntvangenZorg-universal): element hl7:statusCode[@code='active' or @code='completed' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(A_OntvangenZorg-universal): element hl7:effectiveTime[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(A_OntvangenZorg-universal): element hl7:effectiveTime[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:patient | hl7:personalRelationship][not(@nullFlavor)])&gt;=1">(A_OntvangenZorg-universal): element hl7:subject[hl7:patient | hl7:personalRelationship][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:patient | hl7:personalRelationship][not(@nullFlavor)])&lt;=1">(A_OntvangenZorg-universal): element hl7:subject[hl7:patient | hl7:personalRelationship][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(A_OntvangenZorg-universal): element hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(A_OntvangenZorg-universal): element hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']"
         id="d19e21048-false-d1238841e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.100.119')">(A_OntvangenZorg-universal): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.119' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]"
         id="d19e21058-false-d1238859e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(A_OntvangenZorg-universal): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.100.11.2.305 W0305 Type zorg (HL7) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.305-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(A_OntvangenZorg-universal): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.100.11.2.305 W0305 Type zorg (HL7) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:text
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:text"
         id="d19e21068-false-d1238884e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:statusCode[@code='active' or @code='completed' or @nullFlavor]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:statusCode[@code='active' or @code='completed' or @nullFlavor]"
         id="d19e21077-false-d1238896e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or (@code='active') or (@code='completed')">(A_OntvangenZorg-universal): de elementwaarde MOET een zijn van 'code 'active' of code 'completed''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@nullFlavor) or @nullFlavor=('ASKU')">(A_OntvangenZorg-universal): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst .</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@nullFlavor)=('ASKU') or not(@nullFlavor)">(A_OntvangenZorg-universal): de waarde van @nullFlavor MOET 'ASKU' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime
Item: (PeriodeZorg)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime"
         id="d1238897e25-false-d1238924e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="elmcount" value="count(hl7:low | hl7:high)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(PeriodeZorg): keuze (hl7:low  of  hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="$elmcount&lt;=2">(PeriodeZorg): keuze (hl7:low  of  hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(PeriodeZorg): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(PeriodeZorg): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="count(hl7:width)=0">(PeriodeZorg): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="count(hl7:center)=0">(PeriodeZorg): element hl7:center MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime/hl7:low
Item: (PeriodeZorg)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime/hl7:low"
         id="d1238897e66-false-d1238978e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="not(*)">(PeriodeZorg): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="string(@nullFlavor)=('UNK') or not(@nullFlavor)">(PeriodeZorg): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime/hl7:high
Item: (PeriodeZorg)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime/hl7:high"
         id="d1238897e85-false-d1238996e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeZorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="not(*)">(PeriodeZorg): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10258-2012-08-01T000000.html"
              test="string(@nullFlavor)=('UNK') or not(@nullFlavor)">(PeriodeZorg): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime/hl7:width
Item: (PeriodeZorg)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10258
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:effectiveTime/hl7:center
Item: (PeriodeZorg)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject[hl7:patient | hl7:personalRelationship][not(@nullFlavor)]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject[hl7:patient | hl7:personalRelationship][not(@nullFlavor)]"
         id="d19e21095-false-d1239028e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@typeCode)=('SBJ') or not(@typeCode)">(A_OntvangenZorg-universal): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:patient | hl7:personalRelationship[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(A_OntvangenZorg-universal): keuze (hl7:patient  of  hl7:personalRelationship[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="$elmcount&lt;=1">(A_OntvangenZorg-universal): keuze (hl7:patient  of  hl7:personalRelationship[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:patient)&lt;=1">(A_OntvangenZorg-universal): element hl7:patient komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:personalRelationship[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]])&lt;=1">(A_OntvangenZorg-universal): element hl7:personalRelationship[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject[hl7:patient | hl7:personalRelationship][not(@nullFlavor)]/hl7:patient
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject[hl7:patient | hl7:personalRelationship][not(@nullFlavor)]/hl7:patient"
         id="d19e21129-false-d1239074e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)=('PAT') or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject[hl7:patient | hl7:personalRelationship][not(@nullFlavor)]/hl7:personalRelationship[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject[hl7:patient | hl7:personalRelationship][not(@nullFlavor)]/hl7:personalRelationship[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]"
         id="d19e21144-false-d1239088e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)=('PRS') or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code])&gt;=1">(A_OntvangenZorg-universal): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code])&lt;=1">(A_OntvangenZorg-universal): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder[@classCode='PSN'])&gt;=1">(A_OntvangenZorg-universal): element hl7:relationshipHolder[@classCode='PSN'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder[@classCode='PSN'])&lt;=1">(A_OntvangenZorg-universal): element hl7:relationshipHolder[@classCode='PSN'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject[hl7:patient | hl7:personalRelationship][not(@nullFlavor)]/hl7:personalRelationship[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject[hl7:patient | hl7:personalRelationship][not(@nullFlavor)]/hl7:personalRelationship[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]"
         id="d19e21163-false-d1239125e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(A_OntvangenZorg-universal): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.100.11.2.307 W0307 Zorg voor (HL7) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(A_OntvangenZorg-universal): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.100.11.2.307 W0307 Zorg voor (HL7) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject[hl7:patient | hl7:personalRelationship][not(@nullFlavor)]/hl7:personalRelationship[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]/hl7:relationshipHolder[@classCode='PSN']
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:subject[hl7:patient | hl7:personalRelationship][not(@nullFlavor)]/hl7:personalRelationship[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.307-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]]/hl7:relationshipHolder[@classCode='PSN']"
         id="d19e21174-false-d1239150e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)=('PSN')">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(A_OntvangenZorg-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@nullFlavor)=('NI')">(A_OntvangenZorg-universal): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="d19e21194-false-d1239174e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(A_OntvangenZorg-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1">(A_OntvangenZorg-universal): element hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(A_OntvangenZorg-universal): element hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]"
         id="d19e21203-false-d1239197e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)=('PCPR') or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@moodCode)=('INT') or not(@moodCode)">(A_OntvangenZorg-universal): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1">(A_OntvangenZorg-universal): element hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(A_OntvangenZorg-universal): element hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(A_OntvangenZorg-universal): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(A_OntvangenZorg-universal): element hl7:text[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="d19e21214-false-d1239234e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or (@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_OntvangenZorg-universal): de elementwaarde MOET een zijn van 'code '829' codeSystem '2.16.840.1.113883.2.4.4.40.267''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/hl7:text[not(@nullFlavor)]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:goal[hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationGoal[hl7:code[(@code='829' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/hl7:text[not(@nullFlavor)]"
         id="d19e21225-false-d1239251e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="d19e21235-false-d1239263e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(A_OntvangenZorg-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1">(A_OntvangenZorg-universal): element hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(A_OntvangenZorg-universal): element hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]"
         id="d19e21244-false-d1239286e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(A_OntvangenZorg-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(A_OntvangenZorg-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1">(A_OntvangenZorg-universal): element hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(A_OntvangenZorg-universal): element hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(A_OntvangenZorg-universal): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(A_OntvangenZorg-universal): element hl7:value[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="d19e21252-false-d1239323e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="@nullFlavor or (@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_OntvangenZorg-universal): de elementwaarde MOET een zijn van 'code '365' codeSystem '2.16.840.1.113883.2.4.4.40.267''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.119
Context: *[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/hl7:value[not(@nullFlavor)]
Item: (A_OntvangenZorg-universal)
-->

   <rule context="*[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]/hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]/hl7:reasonOf[hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:patientCareObservation[hl7:code[(@code='365' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/hl7:value[not(@nullFlavor)]"
         id="d19e21263-false-d1239340e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.119-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_OntvangenZorg-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
