<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.135
Name: R_PatientNL_JGZ Informal [optional BSN]
Description: COCT_RM050000NL02: Patiënt/persoonsgegevens. Deze template verschilt van R_PatientNL_JGZ Informal [informal/identified] doordat het patiënt/kind id niet verplicht is en zelfs iets anders kan zijn dan BSN.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000">
   <title>R_PatientNL_JGZ Informal [optional BSN]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.135
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]
Item: (R_PatientNL-JGZ-Informal-optional-BSN)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.135
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]
Item: (R_PatientNL-JGZ-Informal-optional-BSN)
-->

   <rule context="*[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]"
         id="d19e28151-false-d1259537e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000.html"
              test="string(@classCode)=('PAT') or not(@classCode)">(R_PatientNL-JGZ-Informal-optional-BSN): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135'])&gt;=1">(R_PatientNL-JGZ-Informal-optional-BSN): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135'])&lt;=1">(R_PatientNL-JGZ-Informal-optional-BSN): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135'] komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'] | hl7:id[@root='2.16.840.1.113883.2.4.6.20'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000.html"
              test="$elmcount&lt;=2">(R_PatientNL-JGZ-Informal-optional-BSN): keuze (hl7:id[@root='2.16.840.1.113883.2.4.6.3']  of  hl7:id[@root='2.16.840.1.113883.2.4.6.20']) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(R_PatientNL-JGZ-Informal-optional-BSN): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.20'])&lt;=1">(R_PatientNL-JGZ-Informal-optional-BSN): element hl7:id[@root='2.16.840.1.113883.2.4.6.20'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000.html"
              test="count(hl7:addr)&gt;=1">(R_PatientNL-JGZ-Informal-optional-BSN): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000.html"
              test="count(hl7:addr)&lt;=2">(R_PatientNL-JGZ-Informal-optional-BSN): element hl7:addr komt te vaak voor [max 2x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000.html"
              test="count(hl7:statusCode[@code='active'])&gt;=1">(R_PatientNL-JGZ-Informal-optional-BSN): element hl7:statusCode[@code='active'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000.html"
              test="count(hl7:statusCode[@code='active'])&lt;=1">(R_PatientNL-JGZ-Informal-optional-BSN): element hl7:statusCode[@code='active'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000.html"
              test="count(hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.136']])&gt;=1">(R_PatientNL-JGZ-Informal-optional-BSN): element hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.136']] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000.html"
              test="count(hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.136']])&lt;=1">(R_PatientNL-JGZ-Informal-optional-BSN): element hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.136']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.135
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']
Item: (R_PatientNL-JGZ-Informal-optional-BSN)
-->

   <rule context="*[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']"
         id="d19e28200-false-d1259640e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_PatientNL-JGZ-Informal-optional-BSN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.100.135')">(R_PatientNL-JGZ-Informal-optional-BSN): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.135' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.135
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (R_PatientNL-JGZ-Informal-optional-BSN)
-->

   <rule context="*[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="d19e28210-false-d1259656e0">
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_PatientNL-JGZ-Informal-optional-BSN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(R_PatientNL-JGZ-Informal-optional-BSN): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.135
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:id[@root='2.16.840.1.113883.2.4.6.20']
Item: (R_PatientNL-JGZ-Informal-optional-BSN)
-->

   <rule context="*[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:id[@root='2.16.840.1.113883.2.4.6.20']"
         id="d19e28218-false-d1259672e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_PatientNL-JGZ-Informal-optional-BSN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.20')">(R_PatientNL-JGZ-Informal-optional-BSN): de waarde van @root MOET '2.16.840.1.113883.2.4.6.20' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr"
         id="d1259673e19-false-d1259691e0">
      <extends rule="AD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="not(@use) or string-length(@use)&gt;0">(AdresKind): attribuut @use MOET datatype 'set_cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:streetName)&lt;=1">(AdresKind): element hl7:streetName komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:houseNumber)&lt;=1">(AdresKind): element hl7:houseNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:buildingNumberSuffix)&lt;=1">(AdresKind): element hl7:buildingNumberSuffix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:additionalLocator)&lt;=1">(AdresKind): element hl7:additionalLocator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:postalCode)&gt;=1">(AdresKind): element hl7:postalCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:postalCode)&lt;=1">(AdresKind): element hl7:postalCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:county)&lt;=1">(AdresKind): element hl7:county komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:city)&lt;=1">(AdresKind): element hl7:city komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:country)&lt;=1">(AdresKind): element hl7:country komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:desc)&lt;=1">(AdresKind): element hl7:desc komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:useablePeriod)&lt;=1">(AdresKind): element hl7:useablePeriod komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:streetName
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:streetName"
         id="d1259673e69-false-d1259784e0">
      <extends rule="ADXP"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ADXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:houseNumber
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:houseNumber"
         id="d1259673e75-false-d1259795e0">
      <extends rule="ADXP"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ADXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:buildingNumberSuffix
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:buildingNumberSuffix"
         id="d1259673e82-false-d1259806e0">
      <extends rule="ADXP"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ADXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:additionalLocator
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:additionalLocator"
         id="d1259673e139-false-d1259817e0">
      <extends rule="ADXP"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ADXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="text()='to' or text()='by'">(AdresKind): de element content van hl7:additionalLocator MOET ''to' of 'by'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:postalCode
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:postalCode"
         id="d1259673e151-false-d1259835e0">
      <extends rule="ADXP"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ADXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="string-length(text())=7">(AdresKind): 
                        <name path=".."/>/<name/> MOET formaat 'nnnn AA' zijn (met spatie)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:county
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:county"
         id="d1259673e164-false-d1259846e0">
      <extends rule="SC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'">(AdresKind): 
                        <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:city
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:city"
         id="d1259673e177-false-d1259857e0">
      <extends rule="SC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:country
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:country"
         id="d1259673e183-false-d1259868e0">
      <extends rule="SC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'">(AdresKind): 
                        <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA tabel 34 Landen</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:desc
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:desc"
         id="d1259673e197-false-d1259879e0">
      <extends rule="ADXP"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ADXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ADXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10251
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:useablePeriod
Item: (PeriodeGeldigheidAdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:useablePeriod"
         id="d1259880e17-false-d1259891e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeGeldigheidAdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="elmcount" value="count(hl7:low | hl7:high)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(PeriodeGeldigheidAdresKind): keuze (hl7:low  of  hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="$elmcount&lt;=2">(PeriodeGeldigheidAdresKind): keuze (hl7:low  of  hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(PeriodeGeldigheidAdresKind): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(PeriodeGeldigheidAdresKind): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="count(hl7:width)=0">(PeriodeGeldigheidAdresKind): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="count(hl7:center)=0">(PeriodeGeldigheidAdresKind): element hl7:center MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10251
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:useablePeriod/hl7:low
Item: (PeriodeGeldigheidAdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:useablePeriod/hl7:low"
         id="d1259880e58-false-d1259945e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeGeldigheidAdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="not(*)">(PeriodeGeldigheidAdresKind): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="string(@nullFlavor)=('UNK') or not(@nullFlavor)">(PeriodeGeldigheidAdresKind): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10251
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:useablePeriod/hl7:high
Item: (PeriodeGeldigheidAdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:useablePeriod/hl7:high"
         id="d1259880e77-false-d1259963e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeGeldigheidAdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="not(*)">(PeriodeGeldigheidAdresKind): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="string(@nullFlavor)=('UNK') or not(@nullFlavor)">(PeriodeGeldigheidAdresKind): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10251
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:useablePeriod/hl7:width
Item: (PeriodeGeldigheidAdresKind)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10251
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:addr/hl7:useablePeriod/hl7:center
Item: (PeriodeGeldigheidAdresKind)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.135
Context: *[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:statusCode[@code='active']
Item: (R_PatientNL-JGZ-Informal-optional-BSN)
-->

   <rule context="*[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]/hl7:statusCode[@code='active']"
         id="d19e28230-false-d1259998e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_PatientNL-JGZ-Informal-optional-BSN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20180506T224847/tmp-2.16.840.1.113883.2.4.6.10.100.135-2015-07-13T000000.html"
              test="@nullFlavor or (@code='active')">(R_PatientNL-JGZ-Informal-optional-BSN): de elementwaarde MOET een zijn van 'code 'active''.</assert>
   </rule>
</pattern>
